#
# spec file for package kdebase4 (Version 4.3.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kdebase4
BuildRequires:  NetworkManager-devel bluez-devel libkde4-devel libqimageblitz-devel libraw1394-devel
BuildRequires:  kdebase4-workspace-devel libsmbclient-devel libsoprano-devel libxklavier-devel xine-devel
%if %suse_version > 1020
BuildRequires:  fdupes libusb-devel
%else
BuildRequires:  libusb
%endif
%if %suse_version > 1030
BuildRequires:  pciutils-devel
%endif
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        The Base KDE Apps
Url:            http://www.kde.org/
Version:        4.3.5
Release:        0.1.1
Source0:        kdebase-%version.tar.bz2
Source2:        rpmlintrc
Source4:        konsolesu.desktop
Source5:        dolphinsu.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch:          4_3_BRANCH.diff
Patch4:         no-kappfinder.diff
Patch7:         dolphin-go_up.diff
Patch8:         plasma-new-default-panel.diff
Patch9:         nsplugins-startup-check.diff
Patch10:        dolphin-search-toolbar-bnc537372.diff
Patch11:        desktop-translations.diff
%kde4_runtime_requires
Suggests:       konsole
Suggests:       dolphin
Suggests:       konqueror
Suggests:       kwrite
Suggests:       kfind
Suggests:       kdialog
Suggests:       keditbookmarks
Suggests:       kdebase4-nsplugin
Suggests:       kdebase4-libkonq
Suggests:       kdepasswd
Suggests:       kinfocenter
Provides:       kdebase3:/opt/kde3/bin/kdesktop
Provides:       kdebase4-devel = 3.96.0
Obsoletes:      kdebase4-devel <= 3.96.0

%description
This package contains the basic applications for a K Desktop
Environment workspace.



Authors:
--------
    The KDE Team <kde@kde.org>

%prep
%setup -q -n kdebase-%version
%patch
%patch4
%patch7
%patch8
%patch9
%patch10
%patch11

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  cd build
  %makeinstall
  cd apps
  %create_subdir_filelist -d dolphin
  %create_subdir_filelist -d kdepasswd
  %create_subdir_filelist -d kinfocenter
  %create_subdir_filelist -d kdialog
  %create_subdir_filelist -d keditbookmarks
  %create_subdir_filelist -d kfind
  %create_subdir_filelist -d konqueror
  %create_subdir_filelist -d konsole
  %create_subdir_filelist -d kwrite
  %create_subdir_filelist -d lib -v lib.devel
  %create_subdir_filelist -d nsplugins
  cd ../..
  rm $RPM_BUILD_ROOT/usr/share/kde4/apps/konsole/Shell.profile
  sed -ri s,.*/usr/share/kde4/apps/konsole/Shell.profile,, filelists/konsole
  %create_exclude_filelist
  install -D -m 0644 %SOURCE4 %SOURCE5 $RPM_BUILD_ROOT/usr/share/applications/kde4/
  %suse_update_desktop_file konqbrowser      WebBrowser
  %suse_update_desktop_file konquerorsu      System FileManager
  %suse_update_desktop_file dolphin          System FileManager
  %suse_update_desktop_file kwrite           TextEditor
  %suse_update_desktop_file konsole          TerminalEmulator
  %suse_update_desktop_file kfind            System Filesystem core
  %suse_update_desktop_file Home             System FileManager core
  %suse_update_desktop_file kinfocenter      Monitor
  %if %suse_version > 1020
  %fdupes -s $RPM_BUILD_ROOT
  %endif
  %kde_post_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%verifyscript
%verify_permissions -e /usr/bin/kcheckpass
%verify_permissions -e /usr/bin/kdesud

%clean
  rm -rf $RPM_BUILD_ROOT
  rm -rf filelists

%package -n konsole
License:        GPLv2+
Group:          System/X11/Terminals
Summary:        KDE Terminal
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/konsole
Provides:       kde4-konsole = 4.3.0
Obsoletes:      kde4-konsole < 4.3.0

%description -n konsole
Konsole is a terminal emulator for the K Desktop Environment.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n konsole -p /sbin/ldconfig

%postun -n konsole -p /sbin/ldconfig

%files -n konsole -f filelists/konsole
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%_kde4_applicationsdir/konsolesu.desktop

%package -n dolphin
License:        GPLv2+
Group:          Productivity/File utilities
Summary:        KDE File Manager
Requires:       kdebase4-libkonq = %version
Requires:       kfind
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/kfmclient
Provides:       kde4-dolphin = 4.3.0
Obsoletes:      kde4-dolphin < 4.3.0

%description -n dolphin
This package contains the default file manager of KDE 4.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n dolphin -p /sbin/ldconfig

%postun -n dolphin -p /sbin/ldconfig

%files -n dolphin -f filelists/dolphin
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir %_kde4_appsdir/dolphinpart
%_kde4_applicationsdir/dolphinsu.desktop

%package -n konqueror
License:        GPLv2+
Group:          Productivity/Networking/Web/Browsers
Summary:        KDE File Manager and Browser
Requires:       kdebase4-libkonq = %version
Recommends:     konqueror-plugins
# needed for embedded filemanagement part
Recommends:     dolphin
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/konqueror
Provides:       kde4-konqueror = 4.3.0
Obsoletes:      kde4-konqueror < 4.3.0

%description -n konqueror
Konqueror allows you to manage your files and browse the web in a
unified interface.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n konqueror -p /sbin/ldconfig

%postun -n konqueror -p /sbin/ldconfig

%files -n konqueror -f filelists/konqueror
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%dir /usr/share/autostart
%dir %_kde4_appsdir/kcmcss
%dir %_kde4_appsdir/kcontrol
%dir %_kde4_appsdir/kcontrol/pics
%dir %_kde4_appsdir/konqsidebartng/add
%dir %_kde4_appsdir/konqsidebartng/dirtree
%dir %_kde4_appsdir/konqsidebartng/entries
%dir %_kde4_appsdir/konqsidebartng/virtual_folders/remote
%dir %_kde4_appsdir/konqsidebartng/virtual_folders/remote/ftp
%dir %_kde4_appsdir/konqsidebartng/virtual_folders/remote/web
%dir %_kde4_appsdir/konqsidebartng/websidebar
%dir %_kde4_servicesdir/useragentstrings
%dir %_kde4_appsdir/dolphinpart/kpartplugins
%config %_kde_config_dir/konqsidebartng.rc
# installed from apps/lib/konq/ and hence in kdebase4-libkonq
%exclude %_kde4_appsdir/konqueror/pics/arrow_bottomright.png
%exclude %_kde4_appsdir/konqueror/pics/arrow_bottomleft.png
%exclude %_kde4_appsdir/konqueror/pics/arrow_topright.png
%exclude %_kde4_appsdir/konqueror/pics/arrow_topleft.png

%package -n kwrite
License:        GPLv2+
Group:          Productivity/Editors/Other
Summary:        KDE Text Editor
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/kwrite
Provides:       kde4-kwrite = 4.3.0
Obsoletes:      kde4-kwrite < 4.3.0

%description -n kwrite
KWrite is the default text editor of the K desktop environment.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kwrite -p /sbin/ldconfig

%postun -n kwrite -p /sbin/ldconfig

%files -n kwrite -f filelists/kwrite
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kfind
License:        GPLv2+
Group:          Productivity/File utilities
Summary:        KDE Find File Utility
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/kfind
Provides:       kde4-kfind = 4.3.0
Obsoletes:      kde4-kfind < 4.3.0

%description -n kfind
KFind allows you to search for directories and files.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kfind -p /sbin/ldconfig

%postun -n kfind -p /sbin/ldconfig

%files -n kfind -f filelists/kfind
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kdialog
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE version of xdialog
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/kdialog
Provides:       kde4-kdialog = 4.3.0
Obsoletes:      kde4-kdialog < 4.3.0

%description -n kdialog
KDialog can be used to show nice dialog boxes from shell scripts.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kdialog -p /sbin/ldconfig

%postun -n kdialog -p /sbin/ldconfig

%files -n kdialog -f filelists/kdialog
%defattr(-,root,root)
%doc COPYING COPYING.DOC apps/kdialog/README apps/kdialog/progressdemo apps/kdialog/progresscanceldemo apps/kdialog/test

%package -n keditbookmarks
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE Bookmark Editor
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/keditbookmarks
Provides:       kde4-keditbookmarks = 4.3.0
Obsoletes:      kde4-keditbookmarks < 4.3.0

%description -n keditbookmarks
This is an editor to edit your KDE-wide bookmark set.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n keditbookmarks -p /sbin/ldconfig

%postun -n keditbookmarks -p /sbin/ldconfig

%files -n keditbookmarks -f filelists/keditbookmarks
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package nsplugin
License:        GPLv2+
Provides:       kdebase4-nsplugin64  = 4.0.72
Obsoletes:      kdebase4-nsplugin64 <= 4.0.72
# usesubdirs nsplugins
Requires:       kdebase4 = %version
%ifarch x86_64 ppc64 s390x ia64
Recommends:     nspluginwrapper
%endif
Summary:        Netscape plugin support for KDE
Group:          System/GUI/KDE
Provides:       kdebase3-nsplugin = 3.5.1
Obsoletes:      kdebase3-nsplugin <= 3.5.1

%description nsplugin
This package contains support for Netscape plug-ins in konqueror. You
have to enable JavaScript for this.



Authors:
--------
    The KDE Team <kde@kde.org>

%files nsplugin -f filelists/nsplugins
%defattr(-,root,root)
%dir %_kde4_appsdir/plugin

%package -n libkonq5
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE Konqueror Libraries
# naming error, make seamless upgrade possible
Provides:       libkonq4 = 4.0.85
Obsoletes:      libkonq4 <= 4.0.85
%requires_ge    libqt4-x11

%description -n libkonq5
This package contains the libraries used by file managers as Konqueror.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n libkonq5 -p /sbin/ldconfig

%postun -n libkonq5 -p /sbin/ldconfig

%files -n libkonq5
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%_kde4_libdir/libkonq.so.*

%package -n kdebase4-libkonq
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE Konqueror Libraries
Requires:       libkonq5 = %version

%description -n kdebase4-libkonq
This package contains the files used by file managers as Konqueror.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kdebase4-libkonq -p /sbin/ldconfig

%postun -n kdebase4-libkonq -p /sbin/ldconfig

%files -n kdebase4-libkonq -f filelists/lib
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%exclude %_kde4_libdir/libkonq.so.*
%dir %_kde4_appsdir/kbookmark
%dir %_kde4_sharedir/templates
%dir %_kde4_sharedir/templates/.source

%package -n libkonq-devel
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE Konqueror Libraries: Build Environment
Requires:       libkonq5 = %version

%description -n libkonq-devel
This package contains all necessary include files and libraries needed
to develop KDE file manager applications.



Authors:
--------
    The KDE Team <kde@kde.org>

%files -n libkonq-devel -f filelists/lib.devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README

%package -n kdepasswd
License:        GPLv2+
Group:          System/GUI/KDE
Summary:        KDE Password Changer
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/kdepasswd
Provides:       kde4-kdepasswd = 4.3.0
Obsoletes:      kde4-kdepasswd < 4.3.0

%description -n kdepasswd
This application allows you to change your UNIX password.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kdepasswd -p /sbin/ldconfig

%postun -n kdepasswd -p /sbin/ldconfig

%files -n kdepasswd -f filelists/kdepasswd
%defattr(-,root,root)
%dir %_kde4_appsdir/kdm
%dir %_kde4_appsdir/kdm/pics
%dir %_kde4_appsdir/kdm/pics/users

%package -n kinfocenter
License:        GPLv2+
Group:          Productivity/File utilities
Summary:        KDE Information Center
%kde4_runtime_requires
Provides:       kdebase3:/opt/kde3/bin/kinfocenter
Provides:       kde4-kinfocenter = 4.3.0
Obsoletes:      kde4-kinfocenter < 4.3.0

%description -n kinfocenter
This application displays information about your system.



Authors:
--------
    The KDE Team <kde@kde.org>

%post -n kinfocenter -p /sbin/ldconfig

%postun -n kinfocenter -p /sbin/ldconfig

%files -n kinfocenter -f filelists/kinfocenter
%defattr(-,root,root)
%dir %_kde4_appsdir/kcmusb
%dir %_kde4_appsdir/kcmview1394

%files -f filelists/exclude
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%_kde4_modulesdir/plasma_applet_folderview.so
%_kde4_servicesdir/plasma-applet-folderview.desktop

%changelog
* Thu Jan 21 2010 dmueller@suse.de
- update to 4.3.5
  * see http://kde.org/announcements/changelogs/changelog4_3_4to4_3_5.php for details
* Thu Dec  3 2009 dmueller@suse.de
- update to 4.3.4
  * see http://kde.org/announcements/changelogs/changelog4_3_3to4_3_4.php for details
* Thu Nov 19 2009 llunak@novell.com
- sync 11.2 KDE packages with SLE (fate#305847)
* Thu Oct 15 2009 llunak@novell.com
- fix xdg-user-dir patch (bnc#543775)
* Fri Oct  9 2009 llunak@novell.com
- fix dolphin crash (kde#202176)
* Thu Oct  8 2009 llunak@novell.com
- use xdg-user-dir locations (bnc#540574)
* Thu Oct  8 2009 llunak@novell.com
- do not miss some translations from .desktop files (bnc#442800)
* Wed Oct  7 2009 llunak@novell.com
- dolphin search toolbar with current setup only shows an error
  message, disable it by default (bnc#537372)
* Tue Oct  6 2009 llunak@novell.com
- make disabling initial ksycoca check work (bnc#536545)
* Thu Sep 24 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff:
  * updated translations
  * dolphin: Update controller's url upon redirection (kde#186947)
  * few kdialog fixes
* Wed Sep  9 2009 beineri@opensuse.org
- update 4_3_BRANCH.diff:
  * Konqueror: hide old history module from sidebar (kde#205521)
  * Dolphin: fix progress and capacity bar layout problems
  * Dolphin: fix selection in details view problems (kde#201459)
  * Konsolepart: show correct context menu (kde#186745)
  * Konsole: fix crash during search (kde#205495)
  * improved translations
* Fri Aug 28 2009 dmueller@suse.de
- update to 4.3.1
  * see http://kde.org/announcements/changelogs/changelog4_3_0to4_3_1.php for details
* Tue Aug 18 2009 beineri@opensuse.org
- moved Root_Shell.profile to -workspace-branding-openSUSE package
* Sat Aug 15 2009 beineri@opensuse.org
- branch diff update: several dolphin fixes
- improve kinfocenter menu category
* Fri Aug 14 2009 beineri@opensuse.org
- add support to recreate default panel also in folder view mode
* Wed Jul 29 2009 dmueller@suse.de
- update to 4.3.0
  * see http://kde.org/announcements/4.3 for details
* Sat Jul 25 2009 beineri@opensuse.org
- add examples to kdialog documentation (bnc#439901)
* Tue Jul 21 2009 dmueller@suse.de
- update to 4.2.98
* Wed Jul  8 2009 dmueller@suse.de
- update to 4.2.96
* Wed Jun 24 2009 dmueller@suse.de
- update to 4.2.95
* Sat Jun 20 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Wed Jun  3 2009 dmueller@suse.de
- update to 4.2.90
* Wed May 27 2009 dmueller@suse.de
- update to 4.2.88svn973768
* Tue May 19 2009 dmueller@suse.de
- update to 4.2.87svn969966
* Mon May 18 2009 dmueller@suse.de
- update to 4.2.86svn967995
* Thu May 14 2009 dmueller@suse.de
- update to 4.2.85 (KDE 4.3 Beta1)
* Thu Apr 30 2009 dmueller@suse.de
- update to 4.2.3
  * see http://kde.org/announcements/changelogs/changelog4_2_2to4_2_3.php
* Fri Mar 27 2009 dmueller@suse.de
- update to 4.2.2
  * see http://kde.org/announcements/changelogs/changelog4_2_1to4_2_2.php
* Mon Mar 16 2009 coolo@suse.de
- update 4_2_BRANCH.diff
* Fri Feb 27 2009 dmueller@suse.de
- update to 4.2.1
  * see http://kde.org/announcements/changelogs/changelog4_2_0to4_2_1.php
* Wed Feb 18 2009 dmueller@suse.de
- update branch diff
* Fri Feb  6 2009 stbinner@suse.de
- update branch diff: Dolphin and Konqueror bug fixes
* Thu Jan 22 2009 dmueller@suse.de
- update to 4.2.0
* Tue Jan 13 2009 dmueller@suse.de
- update to 4.1.96
* Fri Jan  9 2009 dmueller@suse.de
- update to 4.1.87 (KDE 4.2 Januar snapshot)
* Sat Jan  3 2009 stbinner@suse.de
- fix "Dolphin Super User Mode" start menu entry (bnc#449056)
* Tue Dec 16 2008 stbinner@suse.de
- versionized split-provides are not supported
* Thu Nov 27 2008 ro@suse.de
- update baselibs.conf
* Thu Nov 20 2008 stbinner@suse.de
- add SLE provides/obsoletes
* Thu Nov  6 2008 stbinner@suse.de
- show "Go Up" in Dolphin main tool bar
- fix grid option crash in Folder view plasmoid (bnc#441660)
* Tue Nov  4 2008 stbinner@suse.de
- Folder View plasmoid:
  * remove wrong error dialog when renaming (bnc#432728)
  * make settings dialogs available in containment context menu
* Fri Oct 31 2008 dmueller@suse.de
- update to 4.1.3
  * see http://kde.org/announcements/changelogs/changelog4_1_2to4_1_3.php
* Sun Oct 26 2008 stbinner@suse.de
- two Konsole backports to close feature gap compared to KDE 3.5:
  * session management (kde#152761#c75)
  * keyboard shortcuts for accessing tabs (kde#156636)
- update folder view plasmoid, fixes bnc#434169)
* Thu Oct 23 2008 stbinner@suse.de
- only recommend nspluginwrapper on req of SLES proj mgt
* Wed Oct 22 2008 stbinner@suse.de
- lower preferences for opening folder as root (bnc#437850)
* Tue Oct 21 2008 stbinner@suse.de
- add menu entries for root konsole and root dolphin (bnc#433649)
- branch diff update: fixes kde#170470, kde#171729, kde#162022,
  kde#170048, kde#172014, kde#167667, kde#171861 and kde#170470
* Mon Oct 13 2008 stbinner@suse.de
- remove "Conflicts: yast2-theme-NLD"
* Thu Sep 25 2008 dmueller@suse.de
- update to 4.1.2
  * see http://kde.org/announcements/changelogs/changelog4_1_1to4_1_2.php
* Wed Sep 24 2008 stbinner@suse.de
- add plasma.diff for folderview plasmoid backport
* Mon Sep 15 2008 dmueller@suse.de
- adjust buildrequires
* Thu Aug 28 2008 dmueller@suse.de
- update to 4.1.1
  * see http://kde.org/announcements/changelogs/changelog4_1to4_1_1.php
* Sun Aug 24 2008 stbinner@suse.de
- build Konqueror kttsd plugin without webkitpart dependency
* Sat Aug 16 2008 stbinner@suse.de
- branch diff update
* Thu Jul 31 2008 dmueller@suse.de
- branch diff update
* Wed Jul 30 2008 coolo@suse.de
- fix file list to build
* Wed Jul 23 2008 dmueller@suse.de
- update to 4.1.0
* Fri Jul 18 2008 dmueller@suse.de
- update to 4.0.99
* Fri Jul 11 2008 dmueller@suse.de
- update to 4.0.98
* Tue Jul  8 2008 dmueller@suse.de
- recommend dolphinpart for konqueror, otherwise its
  file management capabilities are limited
* Mon Jul  7 2008 dmueller@suse.de
- rename libkonq4 to libkonq5
- rename libkonq4-devel to libkonq-devel
* Fri Jul  4 2008 dmueller@suse.de
- update to 4.0.85
* Thu Jun 26 2008 dmueller@suse.de
- update to 4.0.84
* Wed Jun 18 2008 dmueller@suse.de
- update to 4.0.83
* Tue Jun 10 2008 dmueller@suse.de
- update to 4.0.82
* Mon Jun  9 2008 dmueller@suse.de
- update to 4.0.81
* Mon Jun  2 2008 dmueller@suse.de
- fix crash on mimetype determination (bnc#392255)
* Mon May 26 2008 dmueller@suse.de
- don't package Shell.profile (bnc#392954)
* Fri May 23 2008 stbinner@suse.de
- make konsole create utmp entries again (bnc#389715)
* Wed May  7 2008 coolo@suse.de
- fix file list of kde4-konqueror
* Thu May  1 2008 dmueller@suse.de
- update to 4.0.4
  * http://www.kde.org/announcements/changelogs/changelog4_0_3to4_0_4.php
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Apr  3 2008 dmueller@suse.de
- fix konsole assertion failure on tab close (bnc#371899)
* Thu Mar 27 2008 dmueller@suse.de
- update to 4.0.3
* Tue Mar 11 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
* Wed Feb 27 2008 dmueller@suse.de
- update to 4.0.2
* Thu Feb 21 2008 coolo@suse.de
- no longer build nsplugin64 - rely on nspluginwrapper
* Mon Feb 18 2008 dmueller@suse.de
- fix nspluginscan hang (#362522)
* Fri Feb 15 2008 dmueller@suse.de
- update 4_0_BRANCH.diff
* Wed Feb  6 2008 stbinner@suse.de
- don't mark kwrite.desktop as unimportant
* Mon Feb  4 2008 stbinner@suse.de
- add 4_0_BRANCH.diff (install kinfocenter handbook from here)
* Mon Feb  4 2008 dmueller@suse.de
- update to the final tarball
* Thu Jan 31 2008 dmueller@suse.de
- update to 4.0.1
* Sun Jan 27 2008 stbinner@suse.de
- update 4_0_BRANCH.diff (fix the nasty regression that resulted in
  konq opened from panel eating CPU, being barely responsive, and
  basically unable to load anything (such as the about page)
* Wed Jan 23 2008 stbinner@suse.de
- update 4_0_BRANCH.diff
* Sun Jan 20 2008 stbinner@suse.de
- update 4_0_BRANCH.diff
* Sat Jan  5 2008 dmueller@suse.de
- update to 4.0
* Wed Jan  2 2008 stbinner@suse.de
- update to 3.97.2
* Sun Dec 16 2007 dmueller@suse.de
- update to 3.97.1
* Wed Dec  5 2007 dmueller@suse.de
- update to 3.97.0
* Tue Dec  4 2007 dmueller@suse.de
- update to 3.96.3
* Wed Nov 28 2007 dmueller@suse.de
- update to 3.96.2
* Wed Nov 21 2007 dmueller@suse.de
- update to 3.96.1
* Wed Nov 14 2007 dmueller@suse.de
- update to 3.96.0
* Wed Nov  7 2007 dmueller@suse.de
- update to 3.95.2
* Fri Nov  2 2007 dmueller@suse.de
- filelist updates
* Thu Nov  1 2007 dmueller@suse.de
- update to 3.95.1
* Fri Oct 26 2007 dmueller@suse.de
- update to KDE 4.0 beta4
* Thu Oct 18 2007 dmueller@suse.de
- update to 3.94.1
* Wed Oct 17 2007 ro@suse.de
- fix build: add directory to filelist
* Mon Oct  8 2007 dmueller@suse.de
- update to KDE 4.0 Beta3
* Tue Oct  2 2007 stbinner@suse.de
- update to 3.93.0.svn720100
* Wed Sep 26 2007 stbinner@suse.de
- update to 3.93.0.svn717244
* Fri Sep 21 2007 stbinner@suse.de
- don't remove icons anymore after build check got fixed (#307017)
* Thu Sep 13 2007 stbinner@suse.de
- update to 3.93.0.svn712052
* Mon Sep 10 2007 dmueller@suse.de
- don't set $LANGUAGE in konsole (#305210)
* Sat Sep  1 2007 stbinner@suse.de
- update to KDE 4.0 Beta 2
* Thu Aug 23 2007 stbinner@suse.de
- update to 3.92.0.svn703920
* Thu Aug 16 2007 stbinner@suse.de
- update to 3.92.0.svn700775
* Wed Aug 15 2007 stbinner@suse.de
- fix more file conflicts
* Thu Aug  9 2007 stbinner@suse.de
- update to 3.92.0.svn697325
- fix file conflicts
* Sat Jul 28 2007 stbinner@suse.de
- update to KDE 4.0 Beta 1
* Thu Jul 19 2007 stbinner@suse.de
- don't show System Settings on non-KDE/KDE3 desktop
* Mon Jul 16 2007 stbinner@suse.de
- use the non generic lib version for libkonq
* Thu Jul 12 2007 stbinner@suse.de
- update to 3.91.0.svn672298
* Sat Jun 23 2007 stbinner@suse.de
- update to 3.90.1.svn679137
* Fri Jun  8 2007 stbinner@suse.de
- update to 3.90.1.svn670093
* Mon Jun  4 2007 stbinner@suse.de
- fix build
* Fri Jun  1 2007 coolo@suse.de
- simplify spec file by using macros from kde4-filesystem
* Wed May 23 2007 stbinner@suse.de
- run %%fdupes
- fix prefix of two bins
* Wed May 16 2007 olh@suse.de
- Buildrequires libusb -> libusb-devel
* Tue May 15 2007 stbinner@suse.de
- show .desktop files of kdebase4-runtime only in a KDE session
* Sat May 12 2007 stbinner@suse.de
- libkdeinit -> libkdeinit4
* Thu May 10 2007 stbinner@suse.de
- fix package file conflicts
* Mon May  7 2007 stbinner@suse.de
- initial package in abuild
